## Feature Test Macros

Feature Test Macros

## Functions

const gchar * | gtk_check_version ()
#define | GTK_CHECK_VERSION()

## Types and Values

extern const guint | gtk_major_version
extern const guint | gtk_minor_version
extern const guint | gtk_micro_version
extern const guint | gtk_binary_age
extern const guint | gtk_interface_age
#define | GTK_MAJOR_VERSION
#define | GTK_MINOR_VERSION
#define | GTK_MICRO_VERSION
#define | GTK_BINARY_AGE
#define | GTK_INTERFACE_AGE

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_check_version ()

    const gchar *
    gtk_check_version (guint required_major,
                       guint required_minor,
                       guint required_micro);

Checks that the GTK+ library in use is compatible with the given version. Generally you would pass in the constants GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of GTK+ the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major.required_minor` .`required_micro` . Second the running library must be binary compatible with the version `required_major.required_minor` .`required_micro` (same major version.)

This function is primarily for GTK+ modules; the module can call this function to check that it wasn't loaded into an incompatible version of GTK+. However, such a a check isn't completely reliable, since the module may be linked against an old version of GTK+ and calling the old version of `gtk_check_version()`, but still get loaded into an application using a newer version of GTK+.

#### Parameters

required_major | the required major version. |
required_minor | the required minor version. |
required_micro | the required micro version. |

#### Returns

`NULL` if the GTK+ library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by GTK+ and should not be modified or freed.

### GTK_CHECK_VERSION()

    #define             GTK_CHECK_VERSION(major,minor,micro)

## Types and Values

### gtk_major_version

    extern const guint gtk_major_version;

### gtk_minor_version

    extern const guint gtk_minor_version;

### gtk_micro_version

    extern const guint gtk_micro_version;

### gtk_binary_age

    extern const guint gtk_binary_age;

### gtk_interface_age

    extern const guint gtk_interface_age;

### GTK_MAJOR_VERSION

    #define GTK_MAJOR_VERSION				(2)

### GTK_MINOR_VERSION

    #define GTK_MINOR_VERSION				(24)

### GTK_MICRO_VERSION

    #define GTK_MICRO_VERSION				(33)

### GTK_BINARY_AGE

    #define GTK_BINARY_AGE					(2433)

### GTK_INTERFACE_AGE

    #define GTK_INTERFACE_AGE				(33)